Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hoathuongphuoc

Lấy dữ liệu từ file autocard vào file excel

Các bài được khuyến nghị

Chào các bạn,

Mình đang làm 1 project liên quan đến việc xuất thông tin trong autocard sang excel sử dụng Visual basic. Project của mình như sau: Đầu tiên mình đọc file autocard lên form( File autocard này là hình những viên gạch lót nền, mỗi viên gạch đươc đánh số thứ tự). Như vậy làm cách nào mình có thể đọc thông tin tên viên gạch để đổ vào excel nhỉ. Nếu có tài liệu tham khảo các bạn có thể share cho mình 1 ít được không. Mình xin cảm ơn.

  • Vote tăng 3
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
dinhvantrang    64

Diễn đàn này sao chả ai biết cách giải quyết ta. Trình độ chỉ có vậy sao ta. chán.

Bạn đang nhờ người khác giúp mà nói thế thì ai còn hứng thú để làm cho bạn nữa.File Cad của bạn đâu sao ko up lên, bạn đưa cái hình như thế tôi làm sao mà hình dung dc.Mỗi viên gạch của bạn là một Block hay thế nào? Trên mỗi viên gạch của bạn có thông tin gì? Bạn cần lấy những thông tin nào?

Nếu thật sự cần tôi giúp vui lòng liên hệ Yahoo hoặc Skype của tôi.

Chúc bạn 1 ngày vui vẻ!

  • Vote tăng 1
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

Diễn đàn này sao chả ai biết cách giải quyết ta. Trình độ chỉ có vậy sao ta. chán.

Trình chỉ có vậy thôi!

Đúng là "Chán như con gián."

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tan_xdct7    0

Chào anh

dinhvantrang

Anh có thế cho em xin một ít tg đc không ạ? em có một vài vđề muốn nhờ bác chỉ giúp, cảm ơn anh, nếu đc em xin trao đổi cụ thể qua mail hoặc sđt được không ạ? mail của em: maihaitan@gmail.com đợi tin của anh, cảm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chủ thớt là người đi nhờ vả mà ăn nói như thế thì đi chỗ khác mà nhờ nhé.

Các bác cho em hỏi em dùng lisp này để xuất toạ độ trong autocad nhưng muốn đưa bảng toạ độ đó ra excel hay word thì làm như thế nào nhỉ?

Và tiện thể cái lisp sau bị lỗi ngược toạ độ x với y, sau đó thứ tự mốc ko tự nhảy(em chọn mốc gốc là GT01 thì sau khi pic 100 điểm phải dùng lisp copy tăng dần để có GT02...GT100) có bác nào sửa giúp được ko?

Thank các bác trước.

: Ha Van Khanh 3/2003
;
; * Chuong trinh duoc lap bang ngon ngu AUTOLISP.
; ------------------------------------------------------------------------------
(vmon)
(defun C:bang (/ 1x 1y a1 2x 2y a2 3x 3y a3 b p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12 p13 p14  p15 p16x p16y p16 p17x p17y p17)
(setvar "cmdecho" 0)  
(initget 7)
(setq osm (getvar "osmode" ))
(setvar "osmode" 0)
 (command "-Style" "hoatbif" "hoatbif " "2.5" "" "" "" "" "") 
 (command "-Layer" "n" "Text" "c" "4" "Text" "")
  (setq p1 (getpoint "\nChän diÓm dÆt b¶ng thèng kª :"))
  (setq S (getint "\nSè ®iÓm cÇn tƯnh to¹ ®é :"))
 (setq p2 (polar p1 (/ (* Pi 3) 2) (+ 16 (* 8 S))))
 (setq p3 (polar p2 0 91))
 (setq p4 (polar p1 0 91))
 (setq p5 (polar p1 0 21))
 (setq p6 (polar p2 0 21))
 (setq p7 (polar p5 0 35))
 (setq p8 (polar p6 0 35))
 (setq p9 (polar p5 (/ (* Pi 3) 2) 8))
 (setq p10 (polar p4 (/ (* Pi 3) 2) 8))
 (setq p12 (polar p9 0 35))
 (setq p11 (polar p9 0 -10.5)) 
 (setq p13 (polar p1 (/ (* Pi 3) 2) 16))
 (setq p14 (polar p4 (/ (* Pi 3) 2) 16))
 (setq p15 (polar p7 (/ (* pi 3 ) 2) 4))
 (setq p16x (/ (+ (car p5) (car p7)) 2))
 (setq p16y (/ (+ (cadr p9) (cadr p13)) 2))
 (setq p17x (/ (+ (car p4) (car p7)) 2))
 (setq p17y (/ (+ (cadr p9) (cadr p13)) 2))
 (setq p16 (list p16x p16y))
 (setq p17 (list p17x p17y))
 (command "Plinewid" "0.5")
 (command "Pline" p1 p2 p3 p4 p1 "")
 (command "Line" p5 p6 "")
 (command "Line" p12 p8 "")
 (command "Line" p9 p10 "")
 (command "Line" p13 p14 "")
 (command "Array" "l" "" "Rec" S "1" "-8")
 (command "text" "j" "mc"  p11 "0"  "Tªn nót"  ) 
 (command "text" "j" "mc"  p15 "0"  "To¹ ®é" )
 (command "text" "j" "mc"  p16 "0"  "X" )
 (command "text" "j" "mc"  p17 "0"  "Y" )
(setvar "osmode" 1)
 ;-------------------------------------------------
; PhÇn sö lư ch÷
(setq b 0)
(while (< b s )
(setq b (+ b 1))
(setq td (getstring "\NhËp tªn ®iÓm lÊy to¹ dé : "))
(setq tp (getpoint "\Chän ®iÓm : "))
(setq tx (rtos (car tp) 2 4 ))
(setq ty (rtos (cadr tp) 2 4 ))
(setq 1x (/ (+ (car p1) (car p5)) 2))
(setq 1y (- (- (cadr p11) 4) (* 8 b)))
(setq a1 (list 1x 1y))
(setq 2x (/ (+ (car p5) (car p7)) 2))
(setq 2y (- (cadr p16) (* 8 b)))
(setq a2 (list 2x 2y))
(setq 3x (/ (+(car p7) (car p4)) 2))
(setq 3y (- (cadr p17) (* 8 b)))
(setq a3 (list 3x 3y))
 (command "text" "j" "mc"  a1  "0"  td "" ) 
 (command "text" "j" "mc"  a3  "0"  tx "" )
 (command "text" "j" "mc"  a2  "0"  ty "" )
)
)


Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×